## org.eclipse.emf.cdo.common
Interface CDOQueryInfo

All Known Subinterfaces:
  CDOQuery

    public interface CDOQueryInfo

Since:
  2.0

Field Summary
`static int` `UNLIMITED_RESULTS`

Method Summary
`int` `getMaxResults()` Returns the maximum number of results to retrieve or `UNLIMITED_RESULTS` for no limitation.
`java.util.Map<java.lang.String,java.lang.Object>` `getParameters()`
`java.lang.String` `getQueryLanguage()`
`java.lang.String` `getQueryString()`

Field Detail

### UNLIMITED_RESULTS

    static final int UNLIMITED_RESULTS

See Also:
  Constant Field Values

Method Detail

### getQueryLanguage

    java.lang.String getQueryLanguage()

### getQueryString

    java.lang.String getQueryString()

### getParameters

    java.util.Map<java.lang.String,java.lang.Object> getParameters()

### getMaxResults

    int getMaxResults()

  Returns the maximum number of results to retrieve or `UNLIMITED_RESULTS` for no limitation.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.